core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.03,
	biomes = { "Forest" },
	schematic = PyuTest.get_schematic_path("Tree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.00045,
	biomes = { "Plains" },
	schematic = PyuTest.get_schematic_path("Tree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.00085,
	biomes = { "Savanna" },
	schematic = PyuTest.get_schematic_path("SavannaTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:mycelium_block" },
	sidelen = 16,
	fill_ratio = 0.003,
	biomes = { "MushroomFields", "LargeMushroomForest" },
	schematic = PyuTest.get_schematic_path("Mushroom"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass", "group:snow" },
	sidelen = 16,
	fill_ratio = 0.018,
	biomes = { "Taiga", "Grove" },
	schematic = PyuTest.get_schematic_path("TaigaTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass", "group:dirt" },
	sidelen = 16,
	fill_ratio = 0.031,
	biomes = { "OldGrowthPineTaiga" },
	schematic = PyuTest.get_schematic_path("LargePineTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.03,
	biomes = { "BirchForest" },
	schematic = PyuTest.get_schematic_path("BirchTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.02,
	biomes = { "BirchForest", "OldGrowthBirchForest" },
	schematic = PyuTest.get_schematic_path("TallBirchTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.005,
	biomes = { "CherryGrove" },
	schematic = PyuTest.get_schematic_path("CherryTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:snow_block" },
	sidelen = 16,
	fill_ratio = 0.004,
	biomes = { "SnowyForest" },
	schematic = PyuTest.get_schematic_path("SnowyTree1"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:snow_block" },
	sidelen = 16,
	fill_ratio = 0.004,
	biomes = { "SnowyForest" },
	schematic = PyuTest.get_schematic_path("SnowyTree2"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.004,
	biomes = { "Swamp" },
	schematic = PyuTest.get_schematic_path("SwampTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.004,
	biomes = { "OldGrowthBirchForest" },
	schematic = PyuTest.get_schematic_path("VeryTallBirchTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.016,
	biomes = { "AspenForest" },
	schematic = PyuTest.get_schematic_path("AspenTree1"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.008,
	biomes = { "AspenForest" },
	schematic = PyuTest.get_schematic_path("AspenTree2"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "group:grass" },
	sidelen = 16,
	fill_ratio = 0.039,
	biomes = { "OminousForest" },
	schematic = PyuTest.get_schematic_path("OminousTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:podzol_block" },
	sidelen = 16,
	fill_ratio = 0.032,
	biomes = { "RedwoodForest" },
	schematic = PyuTest.get_schematic_path("RedwoodTree"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:mycelium_block" },
	sidelen = 16,
	fill_ratio = 0.006,
	biomes = { "LargeMushroomForest" },
	schematic = PyuTest.get_schematic_path("TallMushroom"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:mycelium_block" },
	sidelen = 16,
	fill_ratio = 0.002,
	biomes = { "LargeMushroomForest" },
	schematic = PyuTest.get_schematic_path("SmallMushroom"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1,
})

core.register_decoration({
	deco_type = "schematic",
	place_on = { "pyutest_blocks:mycelium_block" },
	sidelen = 16,
	fill_ratio = 0.007,
	biomes = { "LargeMushroomForest" },
	schematic = PyuTest.get_schematic_path("FallenMushroom"),
	rotation = "random",
	flags = "place_center_x, place_center_z",
	place_offset_y = 1,
})
